/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author developer2
 */
@Embeddable
public class TfirmcertificadoPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "IDCERTIFICADO")
    private String idcertificado;
    @Basic(optional = false)
    @Column(name = "FCADUCIDAD")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fcaducidad;

    public TfirmcertificadoPK() {
    }

    public TfirmcertificadoPK(String idcertificado, Date fcaducidad) {
        this.idcertificado = idcertificado;
        this.fcaducidad = fcaducidad;
    }

    public String getIdcertificado() {
        return idcertificado;
    }

    public void setIdcertificado(String idcertificado) {
        this.idcertificado = idcertificado;
    }

    public Date getFcaducidad() {
        return fcaducidad;
    }

    public void setFcaducidad(Date fcaducidad) {
        this.fcaducidad = fcaducidad;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idcertificado != null ? idcertificado.hashCode() : 0);
        hash += (fcaducidad != null ? fcaducidad.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TfirmcertificadoPK)) {
            return false;
        }
        TfirmcertificadoPK other = (TfirmcertificadoPK) object;
        if ((this.idcertificado == null && other.idcertificado != null) || (this.idcertificado != null && !this.idcertificado.equals(other.idcertificado))) {
            return false;
        }
        if ((this.fcaducidad == null && other.fcaducidad != null) || (this.fcaducidad != null && !this.fcaducidad.equals(other.fcaducidad))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TfirmcertificadoPK[ idcertificado=" + idcertificado + ", fcaducidad=" + fcaducidad + " ]";
    }
    
}
